---
lang: en
title: 'API docs: authentication.tokenservice.verifytoken'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.authentication.tokenservice.verifytoken.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [TokenService](./authentication.tokenservice.md) &gt; [verifyToken](./authentication.tokenservice.verifytoken.md)

## TokenService.verifyToken() method

Verifies the validity of a token string and returns a user profile

<b>Signature:</b>

```typescript
verifyToken(token: string): Promise<UserProfile>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  token | <code>string</code> |  |

<b>Returns:</b>

`Promise<UserProfile>`


